Skip to main content

Undelete Location Resource

API Description

Undelete a location resource that's still available. Supply the unique Apple-generated location ID and the service will attempt to return the corresponding resource with updated resource state and etag values.

note

A validation report is not included in the response body. All validations are executed asynchronously.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/locations/{locationId}/undelete
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/undelete

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "02cdc510-ddd9-11ec-b14c-f730e115f377"

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: f932d2a6-db27-4769-9e91-f7657acb83bd
content-type: application/json
etag: "e1f1f984-031b-11ed-b939-0242ac120002"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "9467895078742654976",
"createdDate": "2026-10-10T17:22:19.00Z",
"updatedDate": "2026-10-15T09:13:34.00Z",
"state": "SUBMITTED",
"etag": "e1f1f984-031b-11ed-b939-0242ac120002",
"locationDetails": {
"partnersLocationId": "1212121212",
"partnersLocationVersion": "PV02",
"brandId": "9467895078742654946",
"displayNames": [
{
"name": "Malibu Ice Cream",
"locale": "en-US",
"primary": true
}
],
"storeCode": "#123",
"internalNicknames": [
{
"name": "9th Ave & West 15th",
"locale": "en"
}
],
"mainAddress": {
"structuredAddress": {
"floor": "9th floor",
"thoroughfare": "9th Ave",
"subThoroughfare": "75",
"fullThoroughfare": "75 9th Ave",
"subLocality": "pos. Lesnoe",
"locality": "New York",
"administrativeArea": "New York",
"postCode": "10011",
"countryCode": "US"
},
"locale": "en"
},
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"locationDescriptions": [
{
"type": "ABOUT",
"descriptions": [
{
"text": "Established in 1984, Malibu Ice Cream handcrafts artisan super premium ice creams, dairy-free fruit juices and frozen yogurt! We are the home of world famous Mexican Vanilla Ice Cream. Explore your favorite flavors at Malibu IceCream.",
"locale": "en"
}
]
}
],
"openingHoursByDay": [
{
"day": "MONDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "TUESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "WEDNESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "THURSDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "FRIDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "SATURDAY",
"times": [
{
"startTime": "09:00",
"endTime": "23:30"
}
]
}
],
"specialHours": [
{
"hoursByDay": [
{
"day": "SUNDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
}
],
"startDate": "2026-12-25",
"endDate": "2026-12-25",
"closed": false,
"descriptions": [
{
"text": "Early Closing Christmas Day",
"locale": "en-US"
},
{
"text": "Día de Navidad de cierre anticipado",
"locale": "es"
}
]
}
],
"categories": [
"dining.dessert_shop.ice_cream_shop",
"dining.dessert_shop.ice_cream_shop.gelato_shop"
],
"locationAttributes": [
{
"name": "crossbusiness.restrooms.gender_neutral_restroom",
"value": "true"
}
],
"paymentMethods": [
"VISA",
"MASTERCARD"
],
"displayPoint": {
"coordinates": {
"latitude": "52.358834",
"longitude": "4.893834"
},
"source": "MANUALLY_PLACED"
},
"phoneNumbers": [
{
"phoneNumber": "+12225551212",
"type": "LANDLINE",
"primary": true
}
],
"locationStatus": {
"status": "OPEN"
},
"callToAction": "MENU",
"actionLinkDetails": {
"quicklinks": [
{
"category": "quicklinks.restaurant_order_food",
"quicklinkUrl": "https://www.provider.com/menu/malibu-icecream",
"appStoreUrl": "https://apps.apple.com/us/app/provider-name-food-delivery/id284910350",
"relationship": "AUTHORIZED"
}
]
}
}
}